"""Automatic verification that the ANUGA code validates against the okushiri
dataset as expected. See anuga_validation/okushiri_2005 for more details
"""

import unittest
import os


class Test_Okushiri(unittest.TestCase):
    def setUp(self):

        # Remove garbage
        for file in os.listdir('.'):
            if file.endswith('.stdout') or\
               file.endswith('.sww') or\
               file.endswith('.msh'):
                os.remove(file)
                

        #print
        s = 'create_okushiri.py'
        #print s
        res = os.system('python %s > create_okushiri.stdout' %s)
        assert res == 0

        s = 'run_okushiri.py'
        #print s        
        res = os.system('python %s > run_okushiri.stdout' %s)        
        assert res == 0
        

    def tearDown(self):
        pass

    #def test_creation_of_mesh(self):
    #    s = 'create_okushiri.py'
    #    os.system('python %s > create_okushiri.stdout' %s)

    #def test_that_simulation_can_run(self):
    #    s = 'run_okushiri.py'
    #    os.system('python %s > run_okushiri.stdout' %s)

    def test_that_output_is_as_expected(self):    
        s = 'compare_timeseries_with_measures.py'
        #print s
        res = os.system('python %s > compare_timeseries_with_measures.stdout'\
                        %s)
        assert res == 0



#-------------------------------------------------------------
if __name__ == "__main__":
    suite = unittest.makeSuite(Test_Okushiri,'test')
    runner = unittest.TextTestRunner(verbosity=2)
    runner.run(suite)
